export const redisUrl: string;
export function isSmallerRedisId(a: string, b: string): boolean;
export function computeRedisRoomStreamName(room: string, docid: string, prefix: string): string;
export function createApiClient(store: import('./storage.js').AbstractStorage, redisPrefix: string): Promise<Api>;
export class Api {
    /**
     * @param {import('./storage.js').AbstractStorage} store
     * @param {string} prefix
     */
    constructor(store: import('./storage.js').AbstractStorage, prefix: string);
    store: import("./storage.js").AbstractStorage;
    prefix: string;
    consumername: string;
    /**
     * After this timeout, a new worker will pick up the task
     * @todo rename this variable
     */
    redisWorkerTimeout: number;
    /**
     * Minimum lifetime of y* update messages in redis streams.
     */
    redisMinMessageLifetime: number;
    redisWorkerStreamName: string;
    redisWorkerGroupName: string;
    _destroyed: boolean;
    redis: import(".pnpm/@redis+client@1.5.14/node_modules/@redis/client").RedisClientType<{
        graph: {
            CONFIG_GET: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/CONFIG_GET.js");
            configGet: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/CONFIG_GET.js");
            CONFIG_SET: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/CONFIG_SET.js");
            configSet: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/CONFIG_SET.js");
            DELETE: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/DELETE.js");
            delete: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/DELETE.js");
            EXPLAIN: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/EXPLAIN.js");
            explain: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/EXPLAIN.js");
            LIST: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/LIST.js");
            list: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/LIST.js");
            PROFILE: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/PROFILE.js");
            profile: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/PROFILE.js");
            QUERY: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/QUERY.js");
            query: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/QUERY.js");
            RO_QUERY: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/RO_QUERY.js");
            roQuery: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/RO_QUERY.js");
            SLOWLOG: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/SLOWLOG.js");
            slowLog: typeof import(".pnpm/@redis+graph@1.1.1_@redis+client@1.5.14/node_modules/@redis/graph/dist/commands/SLOWLOG.js");
        };
        json: {
            ARRAPPEND: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/ARRAPPEND.js");
            arrAppend: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/ARRAPPEND.js");
            ARRINDEX: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/ARRINDEX.js");
            arrIndex: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/ARRINDEX.js");
            ARRINSERT: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/ARRINSERT.js");
            arrInsert: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/ARRINSERT.js");
            ARRLEN: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/ARRLEN.js");
            arrLen: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/ARRLEN.js");
            ARRPOP: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/ARRPOP.js");
            arrPop: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/ARRPOP.js");
            ARRTRIM: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/ARRTRIM.js");
            arrTrim: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/ARRTRIM.js");
            DEBUG_MEMORY: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/DEBUG_MEMORY.js");
            debugMemory: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/DEBUG_MEMORY.js");
            DEL: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/DEL.js");
            del: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/DEL.js");
            FORGET: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/FORGET.js");
            forget: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/FORGET.js");
            GET: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/GET.js");
            get: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/GET.js");
            MERGE: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/MERGE.js");
            merge: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/MERGE.js");
            MGET: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/MGET.js");
            mGet: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/MGET.js");
            MSET: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/MSET.js");
            mSet: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/MSET.js");
            NUMINCRBY: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/NUMINCRBY.js");
            numIncrBy: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/NUMINCRBY.js");
            NUMMULTBY: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/NUMMULTBY.js");
            numMultBy: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/NUMMULTBY.js");
            OBJKEYS: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/OBJKEYS.js");
            objKeys: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/OBJKEYS.js");
            OBJLEN: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/OBJLEN.js");
            objLen: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/OBJLEN.js");
            RESP: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/RESP.js");
            resp: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/RESP.js");
            SET: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/SET.js");
            set: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/SET.js");
            STRAPPEND: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/STRAPPEND.js");
            strAppend: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/STRAPPEND.js");
            STRLEN: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/STRLEN.js");
            strLen: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/STRLEN.js");
            TYPE: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/TYPE.js");
            type: typeof import(".pnpm/@redis+json@1.0.6_@redis+client@1.5.14/node_modules/@redis/json/dist/commands/TYPE.js");
        };
        ft: {
            _LIST: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/_LIST.js");
            _list: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/_LIST.js");
            ALTER: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/ALTER.js");
            alter: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/ALTER.js");
            AGGREGATE_WITHCURSOR: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/AGGREGATE_WITHCURSOR.js");
            aggregateWithCursor: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/AGGREGATE_WITHCURSOR.js");
            AGGREGATE: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/AGGREGATE.js");
            aggregate: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/AGGREGATE.js");
            ALIASADD: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/ALIASADD.js");
            aliasAdd: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/ALIASADD.js");
            ALIASDEL: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/ALIASDEL.js");
            aliasDel: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/ALIASDEL.js");
            ALIASUPDATE: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/ALIASUPDATE.js");
            aliasUpdate: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/ALIASUPDATE.js");
            CONFIG_GET: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/CONFIG_GET.js");
            configGet: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/CONFIG_GET.js");
            CONFIG_SET: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/CONFIG_SET.js");
            configSet: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/CONFIG_SET.js");
            CREATE: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/CREATE.js");
            create: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/CREATE.js");
            CURSOR_DEL: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/CURSOR_DEL.js");
            cursorDel: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/CURSOR_DEL.js");
            CURSOR_READ: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/CURSOR_READ.js");
            cursorRead: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/CURSOR_READ.js");
            DICTADD: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/DICTADD.js");
            dictAdd: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/DICTADD.js");
            DICTDEL: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/DICTDEL.js");
            dictDel: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/DICTDEL.js");
            DICTDUMP: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/DICTDUMP.js");
            dictDump: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/DICTDUMP.js");
            DROPINDEX: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/DROPINDEX.js");
            dropIndex: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/DROPINDEX.js");
            EXPLAIN: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/EXPLAIN.js");
            explain: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/EXPLAIN.js");
            EXPLAINCLI: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/EXPLAINCLI.js");
            explainCli: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/EXPLAINCLI.js");
            INFO: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/INFO.js");
            info: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/INFO.js");
            PROFILESEARCH: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/PROFILE_SEARCH.js");
            profileSearch: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/PROFILE_SEARCH.js");
            PROFILEAGGREGATE: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/PROFILE_AGGREGATE.js");
            profileAggregate: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/PROFILE_AGGREGATE.js");
            SEARCH: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SEARCH.js");
            search: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SEARCH.js");
            SEARCH_NOCONTENT: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SEARCH_NOCONTENT.js");
            searchNoContent: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SEARCH_NOCONTENT.js");
            SPELLCHECK: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SPELLCHECK.js");
            spellCheck: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SPELLCHECK.js");
            SUGADD: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGADD.js");
            sugAdd: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGADD.js");
            SUGDEL: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGDEL.js");
            sugDel: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGDEL.js");
            SUGGET_WITHPAYLOADS: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGGET_WITHPAYLOADS.js");
            sugGetWithPayloads: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGGET_WITHPAYLOADS.js");
            SUGGET_WITHSCORES_WITHPAYLOADS: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGGET_WITHSCORES_WITHPAYLOADS.js");
            sugGetWithScoresWithPayloads: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGGET_WITHSCORES_WITHPAYLOADS.js");
            SUGGET_WITHSCORES: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGGET_WITHSCORES.js");
            sugGetWithScores: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGGET_WITHSCORES.js");
            SUGGET: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGGET.js");
            sugGet: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGGET.js");
            SUGLEN: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGLEN.js");
            sugLen: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SUGLEN.js");
            SYNDUMP: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SYNDUMP.js");
            synDump: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SYNDUMP.js");
            SYNUPDATE: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SYNUPDATE.js");
            synUpdate: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/SYNUPDATE.js");
            TAGVALS: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/TAGVALS.js");
            tagVals: typeof import(".pnpm/@redis+search@1.1.6_@redis+client@1.5.14/node_modules/@redis/search/dist/commands/TAGVALS.js");
        };
        ts: {
            ADD: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/ADD.js");
            add: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/ADD.js");
            ALTER: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/ALTER.js");
            alter: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/ALTER.js");
            CREATE: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/CREATE.js");
            create: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/CREATE.js");
            CREATERULE: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/CREATERULE.js");
            createRule: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/CREATERULE.js");
            DECRBY: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/DECRBY.js");
            decrBy: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/DECRBY.js");
            DEL: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/DEL.js");
            del: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/DEL.js");
            DELETERULE: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/DELETERULE.js");
            deleteRule: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/DELETERULE.js");
            GET: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/GET.js");
            get: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/GET.js");
            INCRBY: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/INCRBY.js");
            incrBy: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/INCRBY.js");
            INFO_DEBUG: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/INFO_DEBUG.js");
            infoDebug: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/INFO_DEBUG.js");
            INFO: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/INFO.js");
            info: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/INFO.js");
            MADD: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MADD.js");
            mAdd: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MADD.js");
            MGET: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MGET.js");
            mGet: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MGET.js");
            MGET_WITHLABELS: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MGET_WITHLABELS.js");
            mGetWithLabels: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MGET_WITHLABELS.js");
            QUERYINDEX: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/QUERYINDEX.js");
            queryIndex: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/QUERYINDEX.js");
            RANGE: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/RANGE.js");
            range: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/RANGE.js");
            REVRANGE: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/REVRANGE.js");
            revRange: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/REVRANGE.js");
            MRANGE: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MRANGE.js");
            mRange: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MRANGE.js");
            MRANGE_WITHLABELS: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MRANGE_WITHLABELS.js");
            mRangeWithLabels: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MRANGE_WITHLABELS.js");
            MREVRANGE: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MREVRANGE.js");
            mRevRange: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MREVRANGE.js");
            MREVRANGE_WITHLABELS: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MREVRANGE_WITHLABELS.js");
            mRevRangeWithLabels: typeof import(".pnpm/@redis+time-series@1.0.5_@redis+client@1.5.14/node_modules/@redis/time-series/dist/commands/MREVRANGE_WITHLABELS.js");
        };
        bf: {
            ADD: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/ADD.js");
            add: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/ADD.js");
            CARD: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/CARD.js");
            card: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/CARD.js");
            EXISTS: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/EXISTS.js");
            exists: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/EXISTS.js");
            INFO: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/INFO.js");
            info: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/INFO.js");
            INSERT: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/INSERT.js");
            insert: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/INSERT.js");
            LOADCHUNK: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/LOADCHUNK.js");
            loadChunk: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/LOADCHUNK.js");
            MADD: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/MADD.js");
            mAdd: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/MADD.js");
            MEXISTS: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/MEXISTS.js");
            mExists: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/MEXISTS.js");
            RESERVE: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/RESERVE.js");
            reserve: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/RESERVE.js");
            SCANDUMP: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/SCANDUMP.js");
            scanDump: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/bloom/SCANDUMP.js");
        };
        cms: {
            INCRBY: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/count-min-sketch/INCRBY.js");
            incrBy: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/count-min-sketch/INCRBY.js");
            INFO: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/count-min-sketch/INFO.js");
            info: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/count-min-sketch/INFO.js");
            INITBYDIM: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/count-min-sketch/INITBYDIM.js");
            initByDim: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/count-min-sketch/INITBYDIM.js");
            INITBYPROB: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/count-min-sketch/INITBYPROB.js");
            initByProb: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/count-min-sketch/INITBYPROB.js");
            MERGE: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/count-min-sketch/MERGE.js");
            merge: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/count-min-sketch/MERGE.js");
            QUERY: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/count-min-sketch/QUERY.js");
            query: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/count-min-sketch/QUERY.js");
        };
        cf: {
            ADD: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/ADD.js");
            add: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/ADD.js");
            ADDNX: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/ADDNX.js");
            addNX: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/ADDNX.js");
            COUNT: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/COUNT.js");
            count: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/COUNT.js");
            DEL: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/DEL.js");
            del: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/DEL.js");
            EXISTS: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/EXISTS.js");
            exists: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/EXISTS.js");
            INFO: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/INFO.js");
            info: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/INFO.js");
            INSERT: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/INSERT.js");
            insert: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/INSERT.js");
            INSERTNX: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/INSERTNX.js");
            insertNX: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/INSERTNX.js");
            LOADCHUNK: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/LOADCHUNK.js");
            loadChunk: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/LOADCHUNK.js");
            RESERVE: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/RESERVE.js");
            reserve: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/RESERVE.js");
            SCANDUMP: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/SCANDUMP.js");
            scanDump: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/cuckoo/SCANDUMP.js");
        };
        tDigest: {
            ADD: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/ADD.js");
            add: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/ADD.js");
            BYRANK: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/BYRANK.js");
            byRank: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/BYRANK.js");
            BYREVRANK: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/BYREVRANK.js");
            byRevRank: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/BYREVRANK.js");
            CDF: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/CDF.js");
            cdf: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/CDF.js");
            CREATE: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/CREATE.js");
            create: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/CREATE.js");
            INFO: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/INFO.js");
            info: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/INFO.js");
            MAX: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/MAX.js");
            max: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/MAX.js");
            MERGE: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/MERGE.js");
            merge: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/MERGE.js");
            MIN: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/MIN.js");
            min: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/MIN.js");
            QUANTILE: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/QUANTILE.js");
            quantile: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/QUANTILE.js");
            RANK: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/RANK.js");
            rank: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/RANK.js");
            RESET: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/RESET.js");
            reset: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/RESET.js");
            REVRANK: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/REVRANK.js");
            revRank: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/REVRANK.js");
            TRIMMED_MEAN: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/TRIMMED_MEAN.js");
            trimmedMean: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/t-digest/TRIMMED_MEAN.js");
        };
        topK: {
            ADD: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/ADD.js");
            add: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/ADD.js");
            COUNT: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/COUNT.js");
            count: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/COUNT.js");
            INCRBY: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/INCRBY.js");
            incrBy: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/INCRBY.js");
            INFO: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/INFO.js");
            info: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/INFO.js");
            LIST_WITHCOUNT: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/LIST_WITHCOUNT.js");
            listWithCount: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/LIST_WITHCOUNT.js");
            LIST: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/LIST.js");
            list: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/LIST.js");
            QUERY: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/QUERY.js");
            query: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/QUERY.js");
            RESERVE: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/RESERVE.js");
            reserve: typeof import(".pnpm/@redis+bloom@1.2.0_@redis+client@1.5.14/node_modules/@redis/bloom/dist/commands/top-k/RESERVE.js");
        };
    } & redis.RedisModules, redis.RedisFunctions, {
        addMessage: {
            NUMBER_OF_KEYS: number;
            SCRIPT: string;
            /**
             * @param {string} key
             * @param {Buffer} message
             */
            transformArguments(this: void, key: string, message: Buffer): (string | Buffer)[];
            /**
             * @param {null} x
             */
            transformReply(this: void, x: null): null;
        } & import(".pnpm/@redis+client@1.5.14/node_modules/@redis/client/dist/lib/lua-script.js").SHA1;
        xDelIfEmpty: {
            NUMBER_OF_KEYS: number;
            SCRIPT: string;
            /**
             * @param {string} key
             */
            transformArguments(this: void, key: string): string[];
            /**
             * @param {null} x
             */
            transformReply(this: void, x: null): null;
        } & import(".pnpm/@redis+client@1.5.14/node_modules/@redis/client/dist/lib/lua-script.js").SHA1;
    }>;
    /**
     * @param {Array<{key:string,id:string}>} streams streamname-clock pairs
     * @return {Promise<Array<{ stream: string, messages: Array<Uint8Array>, lastId: string }>>}
     */
    getMessages(streams: Array<{
        key: string;
        id: string;
    }>): Promise<Array<{
        stream: string;
        messages: Array<Uint8Array>;
        lastId: string;
    }>>;
    /**
     * @param {string} room
     * @param {string} docid
     * @param {Buffer} m
     */
    addMessage(room: string, docid: string, m: Buffer): Promise<any>;
    /**
     * @param {string} room
     * @param {string} docid
     */
    getStateVector(room: string, docid?: string): Promise<Uint8Array | null>;
    /**
     * @param {string} room
     * @param {string} docid
     */
    getDoc(room: string, docid: string): Promise<{
        ydoc: Y.Doc;
        awareness: awarenessProtocol.Awareness;
        redisLastId: string;
        storeReferences: any[] | null;
    }>;
    /**
     * @param {Object} opts
     * @param {number} [opts.blockTime]
     * @param {number} [opts.tryReclaimCount]
     * @param {number} [opts.tryClaimCount]
     */
    consumeWorkerQueue({ blockTime, tryReclaimCount, tryClaimCount }?: {
        blockTime?: number | undefined;
        tryReclaimCount?: number | undefined;
        tryClaimCount?: number | undefined;
    }): Promise<{
        stream: string;
        id: string;
    }[]>;
    destroy(): Promise<void>;
}
export function createWorker(store: import('./storage.js').AbstractStorage, redisPrefix: string): Promise<Worker>;
export class Worker {
    /**
     * @param {Api} client
     */
    constructor(client: Api);
    client: Api;
}
import * as redis from 'redis';
import * as Y from 'yjs';
import * as awarenessProtocol from 'y-protocols/awareness';
//# sourceMappingURL=api.d.ts.map