export function registerYSocketIOServer(io: import('socket.io').Server, store: import('./storage.js').AbstractStorage, conf: {
    redisPrefix?: string | undefined;
    authenticate: import('./y-socket-io/y-socket-io.js').YSocketIOConfiguration['authenticate'];
}): Promise<YSocketIOServer>;
/**
 * how to sync
 *   receive sync-step 1
 *   // @todo y-websocket should only accept updates after receiving sync-step 2
 *   redisId = ws.sub(conn)
 *   {doc,redisDocLastId} = api.getdoc()
 *   compute sync-step 2
 *   if (redisId > redisDocLastId) {
 *     subscriber.ensureId(redisDocLastId)
 *   }
 */
declare class YSocketIOServer {
    /**
     * @param {YSocketIO} app
     * @param {import('./api.js').Api} client
     * @param {import('./subscriber.js').Subscriber} subscriber
     */
    constructor(app: YSocketIO, client: import('./api.js').Api, subscriber: import('./subscriber.js').Subscriber);
    app: YSocketIO;
    subscriber: import("./subscriber.js").Subscriber;
    client: import("./api.js").Api;
    destroy(): Promise<void>;
}
import { YSocketIO } from './y-socket-io/y-socket-io.js';
export {};
//# sourceMappingURL=socketio.d.ts.map