export function registerYWebsocketServer(app: uws.TemplatedApp, pattern: uws.RecognizedString, store: import('./storage.js').AbstractStorage, checkAuth: (arg0: uws.HttpRequest) => Promise<{
    hasWriteAccess: boolean;
    room: string;
    userid: string;
}>, { redisPrefix }?: {
    redisPrefix?: string | undefined;
}): Promise<YWebsocketServer>;
import * as uws from 'uws';
/**
 * how to sync
 *   receive sync-step 1
 *   // @todo y-websocket should only accept updates after receiving sync-step 2
 *   redisId = ws.sub(conn)
 *   {doc,redisDocLastId} = api.getdoc()
 *   compute sync-step 2
 *   if (redisId > redisDocLastId) {
 *     subscriber.ensureId(redisDocLastId)
 *   }
 */
declare class YWebsocketServer {
    /**
     * @param {uws.TemplatedApp} app
     * @param {api.Api} client
     * @param {import('./subscriber.js').Subscriber} subscriber
     */
    constructor(app: uws.TemplatedApp, client: api.Api, subscriber: import('./subscriber.js').Subscriber);
    app: uws.TemplatedApp;
    subscriber: import("./subscriber.js").Subscriber;
    client: api.Api;
    destroy(): Promise<void>;
}
import * as api from './api.js';
export {};
//# sourceMappingURL=ws.d.ts.map